<div class="row">
  <div class="col-sm">
    <div class="card">
      <div class="card-header">
        <div class="card-title">
          <div class="row">
            <div class="col-sm margin-top-bottom-auto">
             <span class="h4">
                  <i class="fas fa fa-briefcase"></i>&nbsp; Extra Services
              </span>
              <button
                placement="top"
                ngbTooltip="Create Extra Services"
                class="btn btn-neutral btn-round" (click)="create()">
                <i class="fas fa fa-plus-circle"></i>
                Create
              </button>
            </div>
            <div class="col-sm">
              <div class="float-right">
                <app-search-box (searchChange)="onSearchChanged($event)"
                                [searchValue]="search"
                                placeholder="Search For Extra Service(s): "></app-search-box>
                <button
                  placement="top"
                  ngbTooltip="Refresh Extra Services"
                  class="btn btn-neutral btn-round" (click)="refresh()">
                  <i class="fas fa fa-sync"></i>
                  Refresh
                </button>
              </div>
            </div>
          </div>

        </div>
      </div>
      <div class="card-body">
        <table id="dataTable" class="table table-striped table-bordered">
          <thead>
          <tr>
            <th (click)="sortData(head)" [class.cursor]="head.sortable" *ngFor="let head of headers">{{ head.title }}
              <i *ngIf="head.sortable" [className]="head.sortIcon"></i>
            </th>
          </tr>
          </thead>
          <tbody>
          <tr *ngIf="!rows || rows.length == 0 && !isLoading">
            <td [colSpan]="headers.length" class="text-center">No Data Found.</td>
          </tr>
          <tr *ngFor="let row of rows">
            <td>{{row.name}}</td>
            <td>{{row.createdDate | date : 'MM/dd/yy, hh:mm a z'}}</td>
            <td>
              <a (click)="editExtraService(row)" class="text-primary cursor"
                 placement="top"
                 ngbTooltip="Edit Extra Service Details"><i
                class="fa fa-pencil-alt"></i></a>
              &nbsp;
              <a (click)="deleteExtraService(row)" href="javascript:void(0)"
                 class="text-danger cursor" placement="top"
                 ngbTooltip="Delete Extra Service"
              ><i class="fa fa-trash"></i></a>
            </td>
          </tr>
          </tbody>
        </table>
        <div class="row">
          <div class="col-sm">
            <ngb-pagination [pageSize]="10" [collectionSize]="totalPage" (pageChange)="changePage($event)"
                            [(page)]="page" [maxSize]="3" [boundaryLinks]="true"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
